Subject: Re: bug#67797: non-free license listed in module/ice-9/psyntax.scm
From: Maxim Cournoyer <[email-masked]>
To: Mike Gran <[email-masked]>
Cc: "Thompson, David" <[email-masked]>, [email-masked]
Date: Fri, 31 May 2024 23:53:18 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Hi,
>
> Mike Gran <[email-masked]> writes:
>
>>> Hi Mike,
>>
>>> Do I understand correctly that any copyright license comes with an
>>> implicit "lawful" condition so as to be considered valid, per the law of
>>> USA at least?  And that making this explicit is thus not considered a
>>> restriction on the use?
>>
>> That is how I understand it. I am not a lawyer, but, I have had to read a fair number
>> of government contracts.
>
> Thank you.  To get confirmation from a more authoritative source, I've
> asked the question to same to FSF Licensing & Compliance Team; I'll
> report their response if any!

Haven't heard back, but this doesn't seem to be an issue, after all.
Closing.

-- 
Thanks,
Maxim